#!/usr/bin/perl -w
$MIN_QUOTA = 2097152; # 2 GiBytes

@USERS = `fs lq /afs/itp.tugraz.at/user/*`;


foreach $VOLUME (@USERS) {
  chomp $VOLUME;
  next unless $VOLUME =~ /^user\.([-\w]*)[\s]*([\d]*)[\s]*/;
  $NAME=$1;
  $QUOTA=$2;

  next unless $QUOTA < $MIN_QUOTA;
  printf "# %10s %10d: %s\n", $NAME, $QUOTA, $VOLUME;
  system ("/usr/bin/fs", "setquota", "/afs/itp.tugraz.at/user/$NAME", $MIN_QUOTA)
}
